<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>cn.meowrain.aioj</groupId>
        <artifactId>aioj-backend-upms</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>aioj-backend-upms-biz</artifactId>
    <packaging>jar</packaging>
    <description>AIOJ UPMS 业务实现</description>

    <dependencies>
        <!-- API文档 -->
        <dependency>
            <groupId>org.springdoc</groupId>
            <artifactId>springdoc-openapi-starter-webmvc-ui</artifactId>
        </dependency>
        <dependency>
            <groupId>com.github.xiaoymin</groupId>
            <artifactId>knife4j-openapi3-jakarta-spring-boot-starter</artifactId>
        </dependency>
        
        <!-- 内部模块 -->
        <dependency>
            <groupId>cn.meowrain.aioj</groupId>
            <artifactId>aioj-backend-common-mybatis</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.meowrain.aioj</groupId>
            <artifactId>aioj-backend-upms-api</artifactId>
        </dependency>
        
        <!-- Web -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
    </dependencies>
</project>